View Issue Details

IDProjectCategoryView StatusLast Update
0023311mantisbtfilterspublic2017-10-08 23:52
Reporterj_schultzAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023311: "View issues" on changelog page does not show closed issues
Description

I'm not sure if this is intended behaviour, but if you check the changelog for some version (e.g. https://www.mantisbt.org/bugs/changelog_page.php?project=mantisbt&version=2.6.0) and click the "View issues" link at the end of the page, closed issues are not shown by default. I would expect that the filter would show all issues assigned to this version.

TagsNo tags attached.

Relationships

related to 0022404 new View Issues in Changelog doesn't filter by status 
related to 0023323 closedatrol Wrong filter links on summary page 
has duplicate 0022810 closedatrol Wrong links in Change Log and Roadmap 

Activities

atrol

atrol

2017-09-05 09:11

developer   ~0057615

Works with 2.0.0, regression introduced in 2.1.0, maybe one of the 0021935 changes.

atrol

atrol

2017-09-05 09:41

developer   ~0057616

@cproensa
The fix is certainly quite easy by adding the following code to the link at two places and also in the roadmap page

'&' . FILTER_PROPERTY_HIDE_STATUS . '=' . META_FILTER_NONE

There are also some more places with similar issues (at least some of the summary page links).
Do you think that changing the links is the right approach, or should the default filter be changed?

cproensa

cproensa

2017-09-05 10:03

developer   ~0057617

Do you think that changing the links is the right approach

With the current approach to what is known as "default filter", the best solution at the moment i think is to explicitly add the hide-status=none option when needed.

or should the default filter be changed

At some point in the future, with the ongoing work on filters, this will be possible. It's on my to-do list...

atrol

atrol

2017-09-06 02:24

developer   ~0057619

PR https://github.com/mantisbt/mantisbt/pull/1179

atrol

atrol

2017-09-06 08:51

developer   ~0057624

There are also some more places with similar issues (at least some of the summary page links).

Opened 0023323 for it.

Related Changesets

MantisBT: master 46aae5e5

2017-09-06 02:21:05

atrol

Details Diff
Fix filter links on Change Log and Roadmap page

Fixes 0023311

Minor PHPDoc correction
mod - changelog_page.php Diff File
mod - roadmap_page.php Diff File

Issue History

Date Modified Username Field Change
2017-09-05 08:25 j_schultz New Issue
2017-09-05 09:05 atrol Relationship added related to 0022404
2017-09-05 09:11 atrol Note Added: 0057615
2017-09-05 09:11 atrol Product Version 2.5.1 => 2.1.0
2017-09-05 09:41 atrol Note Added: 0057616
2017-09-05 10:03 cproensa Note Added: 0057617
2017-09-05 10:12 atrol Assigned To => atrol
2017-09-05 10:12 atrol Status new => assigned
2017-09-05 10:12 atrol Target Version => 2.7.0
2017-09-06 02:24 atrol Note Added: 0057619
2017-09-06 08:51 atrol Note Added: 0057624
2017-09-06 08:51 atrol Relationship added related to 0023323
2017-09-06 13:37 atrol Changeset attached => MantisBT master 46aae5e5
2017-09-06 13:37 atrol Status assigned => resolved
2017-09-06 13:37 atrol Resolution open => fixed
2017-09-06 13:37 atrol Fixed in Version => 2.7.0
2017-09-20 05:10 atrol Relationship added has duplicate 0022810
2017-10-08 23:52 vboctor Status resolved => closed